<?php
error_reporting(0);
ini_set('html_errors', 0);
ini_set('display_errors', 0);
// Include the functions needed to work
include('functions.php');

// Include the config
include('config.php');

?>
<!DOCTYPE html>
<html lang="en"><head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <meta charset="utf-8">
    <title>PHP Shrink IT URL Shortener</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="keywords" content="shorten,URL,link,smaller,web,address" />
	<meta name="description" content="URL Shortener" />
    <meta name="author" content="Tushar Salian">

    <!-- Le styles -->
    <link href="css/psi.css" rel="stylesheet">
    <style type="text/css">
      body {
        padding-top: 20px;
        padding-bottom: 60px;
      }

      /* Custom container */
      .container {
        margin: 0 auto;
        max-width: 1000px;
      }
      .container > hr {
        margin: 60px 0;
      }

      /* Main marketing message and sign up button */
      .jumbotron {
        margin: 80px 0;
        text-align: center;
      }
      .jumbotron h1 {
        font-size: 100px;
        line-height: 1;
      }
      .jumbotron .lead {
        font-size: 24px;
        line-height: 1.25;
      }
      .jumbotron .btn {
        font-size: 21px;
        padding: 14px 24px;
      }

      /* Supporting marketing content */
      .marketing {
        margin: 60px 0;
      }
      .marketing p + h4 {
        margin-top: 28px;
      }


      /* Customize the navbar links to be fill the entire space of the .navbar */
      .navbar .navbar-inner {
        padding: 0;
      }
      .navbar .nav {
        margin: 0;
        display: table;
        width: 100%;
      }
      .navbar .nav li {
        display: table-cell;
        width: 1%;
        float: none;
      }
      .navbar .nav li a {
        font-weight: bold;
        text-align: center;
        border-left: 1px solid rgba(255,255,255,.75);
        border-right: 1px solid rgba(0,0,0,.1);
      }
      .navbar .nav li:first-child a {
        border-left: 0;
        border-radius: 3px 0 0 3px;
      }
      .navbar .nav li:last-child a {
        border-right: 0;
        border-radius: 0 3px 3px 0;
      }
    </style>
    <link href="css/psi-responsive.css" rel="stylesheet">

    <!-- HTML5 shim, for IE6-8 support of HTML5 elements -->
    <!--[if lt IE 9]>
      <script src="../assets/js/html5shiv.js"></script>
    <![endif]-->

    <!-- Fav and touch icons -->
    <link rel="apple-touch-icon-precomposed" sizes="144x144" href="apple-touch-icon-144-precomposed.png">
    <link rel="apple-touch-icon-precomposed" sizes="114x114" href="apple-touch-icon-114-precomposed.png">
      <link rel="apple-touch-icon-precomposed" sizes="72x72" href="apple-touch-icon-72-precomposed.png">
                    <link rel="apple-touch-icon-precomposed" href="apple-touch-icon-57-precomposed.png">
                                   <link rel="shortcut icon" href="favicon.ico">
  </head>

  <body>

    <div class="container">

      <div class="masthead">
                <div class="logo"> <img src="<?php echo S_MURL?>logo.jpg" alt="Logo" /> <div class="clearfix"></div> </div>
        <div class="navbar">
          <div class="navbar-inner">
            <div class="container">
              <ul class="nav">
                <li ><a href="<?php echo S_MURL?>">Home</a></li>
                <li><a href="<?php echo S_MURL?>usage.php">Usage</a></li>
                <li><a href="<?php echo S_MURL?>instructions.php">Instructions</a></li>
                <li class="active"><a href="#">API</a></li>
                <li><a href="<?php echo S_MURL?>about.php">About</a></li>
                
              </ul>
            </div>
          </div>
        </div><!-- /.navbar -->
		<?php
if(!empty($error)){
	echo '<div id="error">'.$error.'</div>';
}
?>

      </div>

      
       <h2>API Documentation</h2>
  <p>PHP Shrink IT URL Shortener provides a fairly basic API (Application Programming Interface) which can be used in order for other applications to harness our URL shortening service. This works by accessing a particular URL on the PHP Shrink IT URL Shortener site which accepts the long URL you would like shortened as a parameter. The shortened URL (or various error conditions as appropriate) will then be returned in the HTTP response.</p>
  <h3>Submitting a URL to be shortened</h3>
  <p>Simply have your application access a URL similar to the following, via an HTTP GET request: <b><?php echo S_MURL?>?longurl=http://www.example.com</b></p>
  <h3>Receiving the shortened URL</h3>
  <p>After submitting the URL you would like shortened as specified above, an HTTP response (web page) will be returned. The response header will be "HTTP/1.1 200 OK" if the URL was shortened as expected, or "HTTP/1.1 500 Internal Server Error" if there was any problem that prevented this.</p>
  <p>Assuming the request was successful, the body of the response will contain only the new shortened URL, in plain text. If the request was unsuccessful, the body of the response will contain a specific error message giving the reason. These always begin with "Error: " followed by a message describing why the error occured. These should be fairly self explanatory and include things like the URL being on our blacklist or being too long (over 2000 characters).</p>
  <h3>Encoding</h3>
  <p>Many special characters in the URL you send (the longurl parameter) may not be stored in our database correctly unless they are URL encoded before you send them. Many languages have a function to do this. This specifically includes the hash sign (replace with %23), the semicolon sign (%3B) and the plus sign (%2B). The easiest way to accomplish this if it's available to you is to run URLs through the Javascript function <a href="http://www.w3schools.com/jsref/jsref_encodeURIComponent.asp" target="_blank">encodeURIComponent()</a> before submitting. This should avoid any of these issues since this is the same method the PHP Shrink IT URL Shortener bookmarklet uses, so should be 100% compatible.</p>
  <h3>Terms</h3>
  <p>Application authors should note that users of the PHP Shrink IT URL Shortener API are expected to comply with the same <a href="terms.php">terms of use</a> as users of the website. E.g. regardless of how they are created, links to spam/illegal sites etc. will likely be deleted and offenders may be banned from the PHP Shrink IT URL Shortener service. Having said that, we don't expect or require the authors of applications that use PHP Shrink IT URL Shortener to be responsible for the actions of their users. Violations will be considered on a case by case basis.</p>
  <p>Conditions on excessive usage still apply - the API is primarily intended for use in low volume applications and applications such as browser plugins, scripts etc. that run on the machine of an end user. As such if you're submitting extreme amounts of requests for any reason and hammering the server (e.g. if you have a bad script that submits the same URLs over and over again throughout the day) we may block your IP at our firewall without notice. The same applies if you're opening multiple concurrent connections. Please email via the contact section if you  have any queries.</p>reason you have to write it manually, be aware that all letters after the final <strong>/</strong> are case sensitive.</span></p>
      <hr>

      <!-- Example row of columns -->
      

      <hr>
<div id="push"></div>
</div> <!-- /container -->

      <div id="footer">
      <div class="container">
        <p class="muted credit">&copy; 2013 <a href="#"> PHP Shorten IT</a> and <a href="http://www.nspinfotech.in">NSP Infotech Services</a>.</p>
      </div>
    </div>
<script language="JavaScript" type="text/javascript">
<!--
function select_text(){
	el = document.getElementById('shour');
	if(el.createTextRange){
		var oRange = el.createTextRange();
		oRange.moveStart("character", 0);
		oRange.moveEnd("character", el.value.length);
		oRange.select();
	}else if(el.setSelectionRange){
		el.setSelectionRange(0, el.value.length);
	}
	el.focus();
}

function PageInit() {
	select_text();
}
window.onload = PageInit;

//-->
</script>
    

    <!-- Le javascript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script src="js/jquery.js"></script>
    <script src="js/transition.js"></script>
    <script src="js/alert.js"></script>
    <script src="js/modal.js"></script>
    <script src="js/dropdown.js"></script>
    <script src="js/scrollspy.js"></script>
    <script src="js/tab.js"></script>
    <script src="js/tooltip.js"></script>
    <script src="js/popover.js"></script>
    <script src="js/button.js"></script>
    <script src="js/collapse.js"></script>
    <script src="js/carousel.js"></script>
    <script src="js/typeahead.js"></script>

  

</body></html>