<?php
error_reporting(0);
ini_set('html_errors', 0);
ini_set('display_errors', 0);
// Include the functions needed to work
include('functions.php');

// Include the config
include('config.php');

?>
<!DOCTYPE html>
<html lang="en"><head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <meta charset="utf-8">
    <title>PHP Shrink IT URL Shortener</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="keywords" content="shorten,URL,link,smaller,web,address" />
	<meta name="description" content="URL Shortener" />
    <meta name="author" content="Tushar Salian">

    <!-- Le styles -->
    <link href="css/psi.css" rel="stylesheet">
    <style type="text/css">
      body {
        padding-top: 20px;
        padding-bottom: 60px;
      }

      /* Custom container */
      .container {
        margin: 0 auto;
        max-width: 1000px;
      }
      .container > hr {
        margin: 60px 0;
      }

      /* Main marketing message and sign up button */
      .jumbotron {
        margin: 80px 0;
        text-align: center;
      }
      .jumbotron h1 {
        font-size: 100px;
        line-height: 1;
      }
      .jumbotron .lead {
        font-size: 24px;
        line-height: 1.25;
      }
      .jumbotron .btn {
        font-size: 21px;
        padding: 14px 24px;
      }

      /* Supporting marketing content */
      .marketing {
        margin: 60px 0;
      }
      .marketing p + h4 {
        margin-top: 28px;
      }


      /* Customize the navbar links to be fill the entire space of the .navbar */
      .navbar .navbar-inner {
        padding: 0;
      }
      .navbar .nav {
        margin: 0;
        display: table;
        width: 100%;
      }
      .navbar .nav li {
        display: table-cell;
        width: 1%;
        float: none;
      }
      .navbar .nav li a {
        font-weight: bold;
        text-align: center;
        border-left: 1px solid rgba(255,255,255,.75);
        border-right: 1px solid rgba(0,0,0,.1);
      }
      .navbar .nav li:first-child a {
        border-left: 0;
        border-radius: 3px 0 0 3px;
      }
      .navbar .nav li:last-child a {
        border-right: 0;
        border-radius: 0 3px 3px 0;
      }
    </style>
    <link href="css/psi-responsive.css" rel="stylesheet">

    <!-- HTML5 shim, for IE6-8 support of HTML5 elements -->
    <!--[if lt IE 9]>
      <script src="../assets/js/html5shiv.js"></script>
    <![endif]-->

    <!-- Fav and touch icons -->
    <link rel="apple-touch-icon-precomposed" sizes="144x144" href="apple-touch-icon-144-precomposed.png">
    <link rel="apple-touch-icon-precomposed" sizes="114x114" href="apple-touch-icon-114-precomposed.png">
      <link rel="apple-touch-icon-precomposed" sizes="72x72" href="apple-touch-icon-72-precomposed.png">
                    <link rel="apple-touch-icon-precomposed" href="apple-touch-icon-57-precomposed.png">
                                   <link rel="shortcut icon" href="favicon.ico">
  </head>

  <body>

    <div class="container">

      <div class="masthead">
                <div class="logo"> <img src="<?php echo S_MURL?>logo.jpg" alt="Logo" /> <div class="clearfix"></div> </div>
        <div class="navbar">
          <div class="navbar-inner">
            <div class="container">
              <ul class="nav">
                <li ><a href="<?php echo S_MURL?>">Home</a></li>
                <li><a href="<?php echo S_MURL?>usage.php">Usage</a></li>
                <li class="active"><a href="#">Instructions</a></li>
                <li><a href="<?php echo S_MURL?>api.php">API</a></li>
                <li><a href="<?php echo S_MURL?>about.php">About</a></li>
                
              </ul>
            </div>
          </div>
        </div><!-- /.navbar -->
		<?php
if(!empty($error)){
	echo '<div id="error">'.$error.'</div>';
}
?>

      </div>

      <h2>Basic instructions</h2>
  <h3>Using the URL Shortener</h3>
  <p>Simply type (or copy- paste from your browser's address bar) the URL which you'd like to make smaller into the text box on the <a href="<?php echo S_MURL?>">main page</a>. Push the "Compress  Address" button, and PHP Shrink IT URL Shortener will make the address smaller for you, and give you a new link. You can then copy this new URL wherever you'd like to use it.</p>
  <h3>To use an address shortened by PHP Shrink IT URL Shortener</h3>
  <p>There is no need to visit PHP Shrink IT URL Shortener to use a shortened address. Simply type or paste the shortened URL into your browser's address bar and press enter, you will be automatically forwarded to the original address. If somebody has given you an PHP Shrink IT URL Shortener URL in the form of a hyperlink, just click on the link instead.</p>
  <hr />
  <h2>Additional functionality</h2>
  <h3>How to preview an PHP Shrink IT URL Shortener shortened address</h3>
  <p>It's very easy to find out where any PHP Shrink IT URL Shortener shortened address will take you without having to visit it. This is useful to check that the link will redirect to a destination you trust. Simply add a hyphen (dash) to the end of the shortened URL, and instead of being redirected to the original long address automatically, you'll be taken to a preview page telling you where the link goes.</p>
  <p>For example: You have been given the shortened link <?php echo S_MURL?>b and want to check where it goes. Copy-paste it into your browser's address bar and then add a hyphen, making the link <?php echo S_MURL?>b-. Now simply visit that address, and instead of being taken directly to the original URL, you'll be taken to a preview page on the PHP Shrink IT URL Shortener site which will tell you the link's destination.</p>
  <h3>Bookmarklet</h3>
  <p>If you need to use PHP Shrink IT URL Shortener frequently, you can bookmark this special link: <a href="javascript:void(location.href='<?php echo S_MURL?>?bkmrklt='+encodeURIComponent(location.href))">Shorten with PHP Shrink IT URL Shortener</a>. Visiting the bookmark will then create a shortened URL for the site you are currently visiting, without you having to visit PHP Shrink IT URL Shortener. <i>This functionality requires Javascript to be turned on in your browser (usually on by default), and you can safely ignore any security warnings that pop up when adding the bookmark, these are because the link contains Javascript code.</i></p></div>
      <hr>

      <!-- Example row of columns -->
      

      <hr>
<div id="push"></div>
</div> <!-- /container -->

      <div id="footer">
      <div class="container">
        <p class="muted credit">&copy; 2013 <a href="#"> PHP Shorten IT</a> and <a href="http://www.nspinfotech.in">NSP Infotech Services</a>.</p>
      </div>
    </div>
<script language="JavaScript" type="text/javascript">
<!--
function select_text(){
	el = document.getElementById('shour');
	if(el.createTextRange){
		var oRange = el.createTextRange();
		oRange.moveStart("character", 0);
		oRange.moveEnd("character", el.value.length);
		oRange.select();
	}else if(el.setSelectionRange){
		el.setSelectionRange(0, el.value.length);
	}
	el.focus();
}

function PageInit() {
	select_text();
}
window.onload = PageInit;

//-->
</script>
    

    <!-- Le javascript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script src="js/jquery.js"></script>
    <script src="js/transition.js"></script>
    <script src="js/alert.js"></script>
    <script src="js/modal.js"></script>
    <script src="js/dropdown.js"></script>
    <script src="js/scrollspy.js"></script>
    <script src="js/tab.js"></script>
    <script src="js/tooltip.js"></script>
    <script src="js/popover.js"></script>
    <script src="js/button.js"></script>
    <script src="js/collapse.js"></script>
    <script src="js/carousel.js"></script>
    <script src="js/typeahead.js"></script>

  

</body></html>